Bug 1125338 - [abrt] gnote: __exchange_and_add(): gnote killed by SIGSEGV
Summary: [abrt] gnote: __exchange_and_add(): gnote killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnote
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b7248e4782911a5549c5bf28d11...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 15:16 UTC by Carl van Tonder
Modified: 2015-06-29 21:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:52:46 UTC


Attachments (Terms of Use)
File: backtrace (35.99 KB, text/plain)
2014-07-31 15:16 UTC, Carl van Tonder
no flags Details
File: cgroup (174 bytes, text/plain)
2014-07-31 15:16 UTC, Carl van Tonder
no flags Details
File: core_backtrace (19.37 KB, text/plain)
2014-07-31 15:16 UTC, Carl van Tonder
no flags Details
File: dso_list (13.84 KB, text/plain)
2014-07-31 15:16 UTC, Carl van Tonder
no flags Details
File: environ (1.01 KB, text/plain)
2014-07-31 15:16 UTC, Carl van Tonder
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-31 15:16 UTC, Carl van Tonder
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-31 15:16 UTC, Carl van Tonder
no flags Details
File: maps (62.94 KB, text/plain)
2014-07-31 15:16 UTC, Carl van Tonder
no flags Details
File: open_fds (1.26 KB, text/plain)
2014-07-31 15:16 UTC, Carl van Tonder
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2014-07-31 15:16 UTC, Carl van Tonder
no flags Details
File: var_log_messages (3.26 KB, text/plain)
2014-07-31 15:16 UTC, Carl van Tonder
no flags Details

Description Carl van Tonder 2014-07-31 15:16:19 UTC
Description of problem:
Try to synchronise with a local directory — I think it's trying to show a merge conflict popup

Version-Release number of selected component:
gnote-3.10.3-2.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/gnote --background
crash_function: __exchange_and_add
executable:     /usr/bin/gnote
kernel:         3.14.9-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __exchange_and_add at /usr/include/c++/4.8.2/ext/atomicity.h:49
 #1 __exchange_and_add_dispatch at /usr/include/c++/4.8.2/ext/atomicity.h:82
 #2 std::_Sp_counted_base<(__gnu_cxx::_Lock_policy)2>::_M_release at /usr/include/c++/4.8.2/bits/shared_ptr_base.h:141
 #3 ~__shared_count at /usr/include/c++/4.8.2/bits/shared_ptr_base.h:546
 #4 ~__shared_ptr at /usr/include/c++/4.8.2/bits/shared_ptr_base.h:781
 #5 ~shared_ptr at /usr/include/c++/4.8.2/bits/shared_ptr.h:93
 #6 ~TrieTree at trie.hpp:36
 #7 gnote::TrieController::~TrieController at notemanager.cpp:813
 #8 gnote::NoteManager::~NoteManager at notemanager.cpp:158
 #9 ~value at /usr/include/boost/bind/bind.hpp:112

Comment 1 Carl van Tonder 2014-07-31 15:16:22 UTC
Created attachment 922959 [details]
File: backtrace

Comment 2 Carl van Tonder 2014-07-31 15:16:23 UTC
Created attachment 922960 [details]
File: cgroup

Comment 3 Carl van Tonder 2014-07-31 15:16:24 UTC
Created attachment 922961 [details]
File: core_backtrace

Comment 4 Carl van Tonder 2014-07-31 15:16:26 UTC
Created attachment 922962 [details]
File: dso_list

Comment 5 Carl van Tonder 2014-07-31 15:16:27 UTC
Created attachment 922963 [details]
File: environ

Comment 6 Carl van Tonder 2014-07-31 15:16:28 UTC
Created attachment 922964 [details]
File: exploitable

Comment 7 Carl van Tonder 2014-07-31 15:16:29 UTC
Created attachment 922965 [details]
File: limits

Comment 8 Carl van Tonder 2014-07-31 15:16:31 UTC
Created attachment 922966 [details]
File: maps

Comment 9 Carl van Tonder 2014-07-31 15:16:32 UTC
Created attachment 922967 [details]
File: open_fds

Comment 10 Carl van Tonder 2014-07-31 15:16:33 UTC
Created attachment 922968 [details]
File: proc_pid_status

Comment 11 Carl van Tonder 2014-07-31 15:16:34 UTC
Created attachment 922969 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:31:43 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:52:46 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.